Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network4.2.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
4.2.0.0
Broadcast address
4.2.127.255
First usable
4.2.0.1
Last usable
4.2.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 04020000 · Integer 67239936 to 67272703
Reverse DNS zones
0.2.4.in-addr.arpa
1.2.4.in-addr.arpa
2.2.4.in-addr.arpa
3.2.4.in-addr.arpa
4.2.4.in-addr.arpa
5.2.4.in-addr.arpa
6.2.4.in-addr.arpa
7.2.4.in-addr.arpa
8.2.4.in-addr.arpa
9.2.4.in-addr.arpa
10.2.4.in-addr.arpa
11.2.4.in-addr.arpa
12.2.4.in-addr.arpa
13.2.4.in-addr.arpa
14.2.4.in-addr.arpa
15.2.4.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000100.00000010.00000000.000000004.2.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00000100.00000010.00000000.000000004.2.0.0
Broadcast00000100.00000010.01111111.111111114.2.127.255
Split into smaller subnets/29

4.2.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
14.2.0.0/294.2.0.1 to 4.2.0.64.2.0.76
24.2.0.8/294.2.0.9 to 4.2.0.144.2.0.156
34.2.0.16/294.2.0.17 to 4.2.0.224.2.0.236
44.2.0.24/294.2.0.25 to 4.2.0.304.2.0.316
54.2.0.32/294.2.0.33 to 4.2.0.384.2.0.396
64.2.0.40/294.2.0.41 to 4.2.0.464.2.0.476
74.2.0.48/294.2.0.49 to 4.2.0.544.2.0.556
84.2.0.56/294.2.0.57 to 4.2.0.624.2.0.636
94.2.0.64/294.2.0.65 to 4.2.0.704.2.0.716
104.2.0.72/294.2.0.73 to 4.2.0.784.2.0.796
114.2.0.80/294.2.0.81 to 4.2.0.864.2.0.876
124.2.0.88/294.2.0.89 to 4.2.0.944.2.0.956
134.2.0.96/294.2.0.97 to 4.2.0.1024.2.0.1036
144.2.0.104/294.2.0.105 to 4.2.0.1104.2.0.1116
154.2.0.112/294.2.0.113 to 4.2.0.1184.2.0.1196
164.2.0.120/294.2.0.121 to 4.2.0.1264.2.0.1276
174.2.0.128/294.2.0.129 to 4.2.0.1344.2.0.1356
184.2.0.136/294.2.0.137 to 4.2.0.1424.2.0.1436
194.2.0.144/294.2.0.145 to 4.2.0.1504.2.0.1516
204.2.0.152/294.2.0.153 to 4.2.0.1584.2.0.1596
214.2.0.160/294.2.0.161 to 4.2.0.1664.2.0.1676
224.2.0.168/294.2.0.169 to 4.2.0.1744.2.0.1756
234.2.0.176/294.2.0.177 to 4.2.0.1824.2.0.1836
244.2.0.184/294.2.0.185 to 4.2.0.1904.2.0.1916
254.2.0.192/294.2.0.193 to 4.2.0.1984.2.0.1996
264.2.0.200/294.2.0.201 to 4.2.0.2064.2.0.2076
274.2.0.208/294.2.0.209 to 4.2.0.2144.2.0.2156
284.2.0.216/294.2.0.217 to 4.2.0.2224.2.0.2236
294.2.0.224/294.2.0.225 to 4.2.0.2304.2.0.2316
304.2.0.232/294.2.0.233 to 4.2.0.2384.2.0.2396
314.2.0.240/294.2.0.241 to 4.2.0.2464.2.0.2476
324.2.0.248/294.2.0.249 to 4.2.0.2544.2.0.2556
334.2.1.0/294.2.1.1 to 4.2.1.64.2.1.76
344.2.1.8/294.2.1.9 to 4.2.1.144.2.1.156
354.2.1.16/294.2.1.17 to 4.2.1.224.2.1.236
364.2.1.24/294.2.1.25 to 4.2.1.304.2.1.316
374.2.1.32/294.2.1.33 to 4.2.1.384.2.1.396
384.2.1.40/294.2.1.41 to 4.2.1.464.2.1.476
394.2.1.48/294.2.1.49 to 4.2.1.544.2.1.556
404.2.1.56/294.2.1.57 to 4.2.1.624.2.1.636
414.2.1.64/294.2.1.65 to 4.2.1.704.2.1.716
424.2.1.72/294.2.1.73 to 4.2.1.784.2.1.796
434.2.1.80/294.2.1.81 to 4.2.1.864.2.1.876
444.2.1.88/294.2.1.89 to 4.2.1.944.2.1.956
454.2.1.96/294.2.1.97 to 4.2.1.1024.2.1.1036
464.2.1.104/294.2.1.105 to 4.2.1.1104.2.1.1116
474.2.1.112/294.2.1.113 to 4.2.1.1184.2.1.1196
484.2.1.120/294.2.1.121 to 4.2.1.1264.2.1.1276
494.2.1.128/294.2.1.129 to 4.2.1.1344.2.1.1356
504.2.1.136/294.2.1.137 to 4.2.1.1424.2.1.1436
514.2.1.144/294.2.1.145 to 4.2.1.1504.2.1.1516
524.2.1.152/294.2.1.153 to 4.2.1.1584.2.1.1596
534.2.1.160/294.2.1.161 to 4.2.1.1664.2.1.1676
544.2.1.168/294.2.1.169 to 4.2.1.1744.2.1.1756
554.2.1.176/294.2.1.177 to 4.2.1.1824.2.1.1836
564.2.1.184/294.2.1.185 to 4.2.1.1904.2.1.1916
574.2.1.192/294.2.1.193 to 4.2.1.1984.2.1.1996
584.2.1.200/294.2.1.201 to 4.2.1.2064.2.1.2076
594.2.1.208/294.2.1.209 to 4.2.1.2144.2.1.2156
604.2.1.216/294.2.1.217 to 4.2.1.2224.2.1.2236
614.2.1.224/294.2.1.225 to 4.2.1.2304.2.1.2316
624.2.1.232/294.2.1.233 to 4.2.1.2384.2.1.2396
634.2.1.240/294.2.1.241 to 4.2.1.2464.2.1.2476
644.2.1.248/294.2.1.249 to 4.2.1.2544.2.1.2556
654.2.2.0/294.2.2.1 to 4.2.2.64.2.2.76
664.2.2.8/294.2.2.9 to 4.2.2.144.2.2.156
674.2.2.16/294.2.2.17 to 4.2.2.224.2.2.236
684.2.2.24/294.2.2.25 to 4.2.2.304.2.2.316
694.2.2.32/294.2.2.33 to 4.2.2.384.2.2.396
704.2.2.40/294.2.2.41 to 4.2.2.464.2.2.476
714.2.2.48/294.2.2.49 to 4.2.2.544.2.2.556
724.2.2.56/294.2.2.57 to 4.2.2.624.2.2.636
734.2.2.64/294.2.2.65 to 4.2.2.704.2.2.716
744.2.2.72/294.2.2.73 to 4.2.2.784.2.2.796
754.2.2.80/294.2.2.81 to 4.2.2.864.2.2.876
764.2.2.88/294.2.2.89 to 4.2.2.944.2.2.956
774.2.2.96/294.2.2.97 to 4.2.2.1024.2.2.1036
784.2.2.104/294.2.2.105 to 4.2.2.1104.2.2.1116
794.2.2.112/294.2.2.113 to 4.2.2.1184.2.2.1196
804.2.2.120/294.2.2.121 to 4.2.2.1264.2.2.1276
814.2.2.128/294.2.2.129 to 4.2.2.1344.2.2.1356
824.2.2.136/294.2.2.137 to 4.2.2.1424.2.2.1436
834.2.2.144/294.2.2.145 to 4.2.2.1504.2.2.1516
844.2.2.152/294.2.2.153 to 4.2.2.1584.2.2.1596
854.2.2.160/294.2.2.161 to 4.2.2.1664.2.2.1676
864.2.2.168/294.2.2.169 to 4.2.2.1744.2.2.1756
874.2.2.176/294.2.2.177 to 4.2.2.1824.2.2.1836
884.2.2.184/294.2.2.185 to 4.2.2.1904.2.2.1916
894.2.2.192/294.2.2.193 to 4.2.2.1984.2.2.1996
904.2.2.200/294.2.2.201 to 4.2.2.2064.2.2.2076
914.2.2.208/294.2.2.209 to 4.2.2.2144.2.2.2156
924.2.2.216/294.2.2.217 to 4.2.2.2224.2.2.2236
934.2.2.224/294.2.2.225 to 4.2.2.2304.2.2.2316
944.2.2.232/294.2.2.233 to 4.2.2.2384.2.2.2396
954.2.2.240/294.2.2.241 to 4.2.2.2464.2.2.2476
964.2.2.248/294.2.2.249 to 4.2.2.2544.2.2.2556
974.2.3.0/294.2.3.1 to 4.2.3.64.2.3.76
984.2.3.8/294.2.3.9 to 4.2.3.144.2.3.156
994.2.3.16/294.2.3.17 to 4.2.3.224.2.3.236
1004.2.3.24/294.2.3.25 to 4.2.3.304.2.3.316
1014.2.3.32/294.2.3.33 to 4.2.3.384.2.3.396
1024.2.3.40/294.2.3.41 to 4.2.3.464.2.3.476
1034.2.3.48/294.2.3.49 to 4.2.3.544.2.3.556
1044.2.3.56/294.2.3.57 to 4.2.3.624.2.3.636
1054.2.3.64/294.2.3.65 to 4.2.3.704.2.3.716
1064.2.3.72/294.2.3.73 to 4.2.3.784.2.3.796
1074.2.3.80/294.2.3.81 to 4.2.3.864.2.3.876
1084.2.3.88/294.2.3.89 to 4.2.3.944.2.3.956
1094.2.3.96/294.2.3.97 to 4.2.3.1024.2.3.1036
1104.2.3.104/294.2.3.105 to 4.2.3.1104.2.3.1116
1114.2.3.112/294.2.3.113 to 4.2.3.1184.2.3.1196
1124.2.3.120/294.2.3.121 to 4.2.3.1264.2.3.1276
1134.2.3.128/294.2.3.129 to 4.2.3.1344.2.3.1356
1144.2.3.136/294.2.3.137 to 4.2.3.1424.2.3.1436
1154.2.3.144/294.2.3.145 to 4.2.3.1504.2.3.1516
1164.2.3.152/294.2.3.153 to 4.2.3.1584.2.3.1596
1174.2.3.160/294.2.3.161 to 4.2.3.1664.2.3.1676
1184.2.3.168/294.2.3.169 to 4.2.3.1744.2.3.1756
1194.2.3.176/294.2.3.177 to 4.2.3.1824.2.3.1836
1204.2.3.184/294.2.3.185 to 4.2.3.1904.2.3.1916
1214.2.3.192/294.2.3.193 to 4.2.3.1984.2.3.1996
1224.2.3.200/294.2.3.201 to 4.2.3.2064.2.3.2076
1234.2.3.208/294.2.3.209 to 4.2.3.2144.2.3.2156
1244.2.3.216/294.2.3.217 to 4.2.3.2224.2.3.2236
1254.2.3.224/294.2.3.225 to 4.2.3.2304.2.3.2316
1264.2.3.232/294.2.3.233 to 4.2.3.2384.2.3.2396
1274.2.3.240/294.2.3.241 to 4.2.3.2464.2.3.2476
1284.2.3.248/294.2.3.249 to 4.2.3.2544.2.3.2556
1294.2.4.0/294.2.4.1 to 4.2.4.64.2.4.76
1304.2.4.8/294.2.4.9 to 4.2.4.144.2.4.156
1314.2.4.16/294.2.4.17 to 4.2.4.224.2.4.236
1324.2.4.24/294.2.4.25 to 4.2.4.304.2.4.316
1334.2.4.32/294.2.4.33 to 4.2.4.384.2.4.396
1344.2.4.40/294.2.4.41 to 4.2.4.464.2.4.476
1354.2.4.48/294.2.4.49 to 4.2.4.544.2.4.556
1364.2.4.56/294.2.4.57 to 4.2.4.624.2.4.636
1374.2.4.64/294.2.4.65 to 4.2.4.704.2.4.716
1384.2.4.72/294.2.4.73 to 4.2.4.784.2.4.796
1394.2.4.80/294.2.4.81 to 4.2.4.864.2.4.876
1404.2.4.88/294.2.4.89 to 4.2.4.944.2.4.956
1414.2.4.96/294.2.4.97 to 4.2.4.1024.2.4.1036
1424.2.4.104/294.2.4.105 to 4.2.4.1104.2.4.1116
1434.2.4.112/294.2.4.113 to 4.2.4.1184.2.4.1196
1444.2.4.120/294.2.4.121 to 4.2.4.1264.2.4.1276
1454.2.4.128/294.2.4.129 to 4.2.4.1344.2.4.1356
1464.2.4.136/294.2.4.137 to 4.2.4.1424.2.4.1436
1474.2.4.144/294.2.4.145 to 4.2.4.1504.2.4.1516
1484.2.4.152/294.2.4.153 to 4.2.4.1584.2.4.1596
1494.2.4.160/294.2.4.161 to 4.2.4.1664.2.4.1676
1504.2.4.168/294.2.4.169 to 4.2.4.1744.2.4.1756
1514.2.4.176/294.2.4.177 to 4.2.4.1824.2.4.1836
1524.2.4.184/294.2.4.185 to 4.2.4.1904.2.4.1916
1534.2.4.192/294.2.4.193 to 4.2.4.1984.2.4.1996
1544.2.4.200/294.2.4.201 to 4.2.4.2064.2.4.2076
1554.2.4.208/294.2.4.209 to 4.2.4.2144.2.4.2156
1564.2.4.216/294.2.4.217 to 4.2.4.2224.2.4.2236
1574.2.4.224/294.2.4.225 to 4.2.4.2304.2.4.2316
1584.2.4.232/294.2.4.233 to 4.2.4.2384.2.4.2396
1594.2.4.240/294.2.4.241 to 4.2.4.2464.2.4.2476
1604.2.4.248/294.2.4.249 to 4.2.4.2544.2.4.2556
1614.2.5.0/294.2.5.1 to 4.2.5.64.2.5.76
1624.2.5.8/294.2.5.9 to 4.2.5.144.2.5.156
1634.2.5.16/294.2.5.17 to 4.2.5.224.2.5.236
1644.2.5.24/294.2.5.25 to 4.2.5.304.2.5.316
1654.2.5.32/294.2.5.33 to 4.2.5.384.2.5.396
1664.2.5.40/294.2.5.41 to 4.2.5.464.2.5.476
1674.2.5.48/294.2.5.49 to 4.2.5.544.2.5.556
1684.2.5.56/294.2.5.57 to 4.2.5.624.2.5.636
1694.2.5.64/294.2.5.65 to 4.2.5.704.2.5.716
1704.2.5.72/294.2.5.73 to 4.2.5.784.2.5.796
1714.2.5.80/294.2.5.81 to 4.2.5.864.2.5.876
1724.2.5.88/294.2.5.89 to 4.2.5.944.2.5.956
1734.2.5.96/294.2.5.97 to 4.2.5.1024.2.5.1036
1744.2.5.104/294.2.5.105 to 4.2.5.1104.2.5.1116
1754.2.5.112/294.2.5.113 to 4.2.5.1184.2.5.1196
1764.2.5.120/294.2.5.121 to 4.2.5.1264.2.5.1276
1774.2.5.128/294.2.5.129 to 4.2.5.1344.2.5.1356
1784.2.5.136/294.2.5.137 to 4.2.5.1424.2.5.1436
1794.2.5.144/294.2.5.145 to 4.2.5.1504.2.5.1516
1804.2.5.152/294.2.5.153 to 4.2.5.1584.2.5.1596
1814.2.5.160/294.2.5.161 to 4.2.5.1664.2.5.1676
1824.2.5.168/294.2.5.169 to 4.2.5.1744.2.5.1756
1834.2.5.176/294.2.5.177 to 4.2.5.1824.2.5.1836
1844.2.5.184/294.2.5.185 to 4.2.5.1904.2.5.1916
1854.2.5.192/294.2.5.193 to 4.2.5.1984.2.5.1996
1864.2.5.200/294.2.5.201 to 4.2.5.2064.2.5.2076
1874.2.5.208/294.2.5.209 to 4.2.5.2144.2.5.2156
1884.2.5.216/294.2.5.217 to 4.2.5.2224.2.5.2236
1894.2.5.224/294.2.5.225 to 4.2.5.2304.2.5.2316
1904.2.5.232/294.2.5.233 to 4.2.5.2384.2.5.2396
1914.2.5.240/294.2.5.241 to 4.2.5.2464.2.5.2476
1924.2.5.248/294.2.5.249 to 4.2.5.2544.2.5.2556
1934.2.6.0/294.2.6.1 to 4.2.6.64.2.6.76
1944.2.6.8/294.2.6.9 to 4.2.6.144.2.6.156
1954.2.6.16/294.2.6.17 to 4.2.6.224.2.6.236
1964.2.6.24/294.2.6.25 to 4.2.6.304.2.6.316
1974.2.6.32/294.2.6.33 to 4.2.6.384.2.6.396
1984.2.6.40/294.2.6.41 to 4.2.6.464.2.6.476
1994.2.6.48/294.2.6.49 to 4.2.6.544.2.6.556
2004.2.6.56/294.2.6.57 to 4.2.6.624.2.6.636
2014.2.6.64/294.2.6.65 to 4.2.6.704.2.6.716
2024.2.6.72/294.2.6.73 to 4.2.6.784.2.6.796
2034.2.6.80/294.2.6.81 to 4.2.6.864.2.6.876
2044.2.6.88/294.2.6.89 to 4.2.6.944.2.6.956
2054.2.6.96/294.2.6.97 to 4.2.6.1024.2.6.1036
2064.2.6.104/294.2.6.105 to 4.2.6.1104.2.6.1116
2074.2.6.112/294.2.6.113 to 4.2.6.1184.2.6.1196
2084.2.6.120/294.2.6.121 to 4.2.6.1264.2.6.1276
2094.2.6.128/294.2.6.129 to 4.2.6.1344.2.6.1356
2104.2.6.136/294.2.6.137 to 4.2.6.1424.2.6.1436
2114.2.6.144/294.2.6.145 to 4.2.6.1504.2.6.1516
2124.2.6.152/294.2.6.153 to 4.2.6.1584.2.6.1596
2134.2.6.160/294.2.6.161 to 4.2.6.1664.2.6.1676
2144.2.6.168/294.2.6.169 to 4.2.6.1744.2.6.1756
2154.2.6.176/294.2.6.177 to 4.2.6.1824.2.6.1836
2164.2.6.184/294.2.6.185 to 4.2.6.1904.2.6.1916
2174.2.6.192/294.2.6.193 to 4.2.6.1984.2.6.1996
2184.2.6.200/294.2.6.201 to 4.2.6.2064.2.6.2076
2194.2.6.208/294.2.6.209 to 4.2.6.2144.2.6.2156
2204.2.6.216/294.2.6.217 to 4.2.6.2224.2.6.2236
2214.2.6.224/294.2.6.225 to 4.2.6.2304.2.6.2316
2224.2.6.232/294.2.6.233 to 4.2.6.2384.2.6.2396
2234.2.6.240/294.2.6.241 to 4.2.6.2464.2.6.2476
2244.2.6.248/294.2.6.249 to 4.2.6.2544.2.6.2556
2254.2.7.0/294.2.7.1 to 4.2.7.64.2.7.76
2264.2.7.8/294.2.7.9 to 4.2.7.144.2.7.156
2274.2.7.16/294.2.7.17 to 4.2.7.224.2.7.236
2284.2.7.24/294.2.7.25 to 4.2.7.304.2.7.316
2294.2.7.32/294.2.7.33 to 4.2.7.384.2.7.396
2304.2.7.40/294.2.7.41 to 4.2.7.464.2.7.476
2314.2.7.48/294.2.7.49 to 4.2.7.544.2.7.556
2324.2.7.56/294.2.7.57 to 4.2.7.624.2.7.636
2334.2.7.64/294.2.7.65 to 4.2.7.704.2.7.716
2344.2.7.72/294.2.7.73 to 4.2.7.784.2.7.796
2354.2.7.80/294.2.7.81 to 4.2.7.864.2.7.876
2364.2.7.88/294.2.7.89 to 4.2.7.944.2.7.956
2374.2.7.96/294.2.7.97 to 4.2.7.1024.2.7.1036
2384.2.7.104/294.2.7.105 to 4.2.7.1104.2.7.1116
2394.2.7.112/294.2.7.113 to 4.2.7.1184.2.7.1196
2404.2.7.120/294.2.7.121 to 4.2.7.1264.2.7.1276
2414.2.7.128/294.2.7.129 to 4.2.7.1344.2.7.1356
2424.2.7.136/294.2.7.137 to 4.2.7.1424.2.7.1436
2434.2.7.144/294.2.7.145 to 4.2.7.1504.2.7.1516
2444.2.7.152/294.2.7.153 to 4.2.7.1584.2.7.1596
2454.2.7.160/294.2.7.161 to 4.2.7.1664.2.7.1676
2464.2.7.168/294.2.7.169 to 4.2.7.1744.2.7.1756
2474.2.7.176/294.2.7.177 to 4.2.7.1824.2.7.1836
2484.2.7.184/294.2.7.185 to 4.2.7.1904.2.7.1916
2494.2.7.192/294.2.7.193 to 4.2.7.1984.2.7.1996
2504.2.7.200/294.2.7.201 to 4.2.7.2064.2.7.2076
2514.2.7.208/294.2.7.209 to 4.2.7.2144.2.7.2156
2524.2.7.216/294.2.7.217 to 4.2.7.2224.2.7.2236
2534.2.7.224/294.2.7.225 to 4.2.7.2304.2.7.2316
2544.2.7.232/294.2.7.233 to 4.2.7.2384.2.7.2396
2554.2.7.240/294.2.7.241 to 4.2.7.2464.2.7.2476
2564.2.7.248/294.2.7.249 to 4.2.7.2544.2.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses